clang 8.0.0

Public Attributes | List of all members
clang::HMapHeader Struct Reference

`#include "clang/Lex/HeaderMapTypes.h"`

Collaboration diagram for clang::HMapHeader:
[legend]

## Public Attributes
uint32_t | Magic
uint16_t | Version
uint16_t | Reserved
uint32_t | StringsOffset
uint32_t | NumEntries
uint32_t | NumBuckets
uint32_t | MaxValueLength

## Detailed Description

Definition at line 29 of file HeaderMapTypes.h.

## Member Data Documentation

## ◆ Magic

uint32_t clang::HMapHeader::Magic

Definition at line 30 of file HeaderMapTypes.h.

Referenced by clang::HeaderMapImpl::checkHeader().

## ◆ MaxValueLength

uint32_t clang::HMapHeader::MaxValueLength

Definition at line 36 of file HeaderMapTypes.h.

## ◆ NumBuckets

uint32_t clang::HMapHeader::NumBuckets

Definition at line 35 of file HeaderMapTypes.h.

Referenced by clang::HeaderMapImpl::checkHeader(), clang::HeaderMapImpl::dump(), and clang::HeaderMapImpl::lookupFilename().

## ◆ NumEntries

uint32_t clang::HMapHeader::NumEntries

Definition at line 34 of file HeaderMapTypes.h.

Referenced by clang::HeaderMapImpl::dump().

## ◆ Reserved

uint16_t clang::HMapHeader::Reserved

Definition at line 32 of file HeaderMapTypes.h.

Referenced by clang::HeaderMapImpl::checkHeader().

## ◆ StringsOffset

uint32_t clang::HMapHeader::StringsOffset

Definition at line 33 of file HeaderMapTypes.h.

## ◆ Version

uint16_t clang::HMapHeader::Version

Definition at line 31 of file HeaderMapTypes.h.

Referenced by clang::HeaderMapImpl::checkHeader().

The documentation for this struct was generated from the following file:

- include/clang/Lex/HeaderMapTypes.h